#!/bin/bash

package=faad2
version=-2.6.1

progname=$0

source ../../bin/script/test-setup.bash
source ../../lib/cascade-lib.bash

prefix=$GEXTVIDEO_INSTALLED/cmdline


opt_run_untar $force_untar $auto_untar $package $version
if [ -d $package ] ; then
  echo "Moving $package -> $package$version"
  /bin/mv $package $package$version
fi


# Need own customized configure
if [ $force_config = "1" ] ; then
  echo "[pushd $package$version]"
  ( cd $package$version ; \
    autoreconf -vif
    echo ./configure --prefix=$prefix ; \
    ./configure --prefix=$prefix )
  if [ $? != 0 ] ; then
      echo "      Error encountered running *configure* stage of $progname"
      exit 1
  fi
  echo "[popd]"
else
  if [ $auto_config = "1" ] ; then
    echo "Found top-level for ${progname%.*} => no need to run ./configure"
  fi
fi

opt_run_make $compile   $package $version
opt_run_make $install   $package $version "install"
opt_run_make $clean     $package $version "clean"
opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version



